Get Tech Support Job Status

Get Tech Support Job Status
Query Tech Support Job Status

Retrieves the current status of a tech support log collection job. Polls this endpoint to monitor progress and determine when the bundle is ready for download.

Job States:

  • RUNNING: Job is in progress
  • SUCCESS: Job completed successfully, bundle ready for download
  • FAILED: Job failed completely
  • PARTIAL_SUCCESS: Job completed with some component failures (fleet or Sentinels)
Request
URI
GET
https://{server}:9443/api/admin/techSupportLogs/jobStatus/{jobId}
COPY
Path Parameters
string
jobId
Required

Job identifier returned from /generate endpoint

jobId example
f136357e-3106-4064-81d2-03e0029c843c

Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved job status

Returns TechSupportJobStatusDetailedResponse of type(s) application/json
{
    "jobId": "hcx-techsupport-2025-11-13-10-30-45-abc123",
    "state": "SUCCESS",
    "fleetJobState": "SUCCESS",
    "failedFleetAppliances": [
        {
            "applianceId": "string",
            "error": "string"
        }
    ],
    "fleetFolder": "string",
    "error": "Failed to collect logs from HCX Manager",
    "fleetJobId": "string",
    "sentinelLogCollectionJobInfo": {
        "jobId": "string",
        "state": "string",
        "errorMessage": "string",
        "logFolder": "string",
        "failedSentinelsInfo": [
            {
                "sentinelId": "string",
                "errorMessage": "string"
            }
        ]
    },
    "fileName": "hcx-techsupport-2025-11-13-10-30-45-abc123.tar.gz"
}
string
jobId
Required

Job identifier

string
state
Required

Overall job state

Possible values are : RUNNING, SUCCESS, FAILED, PARTIAL_SUCCESS,
string
fleetJobState
Optional

Fleet appliance log collection state

Possible values are : SUCCESS, FAILED, PARTIAL_SUCCESS,
array of object
failedFleetAppliances
Optional

List of fleet appliances that failed log collection

string
fleetFolder
Optional

Folder path containing fleet logs

string
error
Optional

Error message if job failed

string
fleetJobId
Optional

Fleet log collection sub-job ID

object
sentinelLogCollectionJobInfo
Optional

Sentinel log collection job information

string
fileName
Optional

Generated bundle file name (available when state is SUCCESS)


404

Job not found

Returns SimpleErrorMessage of type(s) application/json
{
    "message": "string"
}
string
message
Optional

Error message


500

Internal server error

Returns SimpleErrorMessage of type(s) application/json
{
    "message": "string"
}
string
message
Optional

Error message


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/admin/techSupportLogs/jobStatus/{jobId}